Get Vcenter

Get Vcenter
Retrieve a vCenter Server by its ID

Retrieve a vCenter Server by its ID

Request
URI
GET
https://{api_host}/v1/vcenters/{id}
COPY
Path Parameters
string
id
Required

vCenter ID


Responses
200

Ok

Returns Vcenter of type(s) application/json
{
    "id": "string",
    "fqdn": "string",
    "ipAddress": "string",
    "domain": {
        "id": "string",
        "name": "string",
        "type": "string"
    },
    "version": "string"
}
string
id
Read-Only

ID of the vCenter

string
fqdn
Read-Only

FQDN of the vCenter

string
ipAddress
Read-Only

IP address of the vCenter

object
domain
Read-Only

Represents a domain reference

string
version
Read-Only

Version of the vCenter


404

vCenter not found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string"
        }
    ],
    "referenceToken": "string"
}
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/vcenters/{id}